Name:           pt-uboot
Version:        2021.07
Release:        3%{?dist}
Summary:        uboot from pine64.org with UEFI Btrfs and Crust support for the PineTab

License:        GPLv3+
URL:            https://pine64-org.gitlab.org/uboot
Source0:        ftp://ftp.warpspeed.dk/pinephone/pt-uboot.zip

Requires: 	bash
#BuildArch:      noarch

%description
Uboot from Pine64-org.gitlab.org for PineTab - with Crust suspend support.

%prep
%autosetup -p1 -c

%install
mkdir -p $RPM_BUILD_ROOT/boot/efi
cp u-boot-sunxi-with-spl.bin $RPM_BUILD_ROOT/boot/efi
cp update-uboot.sh $RPM_BUILD_ROOT/boot/efi
cp readme.uboot $RPM_BUILD_ROOT/boot/efi
cp update-boot-script.sh $RPM_BUILD_ROOT/boot/efi
cp boot.scr $RPM_BUILD_ROOT/boot/efi
cp boot.cmd $RPM_BUILD_ROOT/boot/efi

%post
cd /boot/efi
bash ./update-uboot.sh

%files
/boot/efi/u-boot-sunxi-with-spl.bin
/boot/efi/update-uboot.sh
/boot/efi/readme.uboot
/boot/efi/update-boot-script.sh
/boot/efi/boot.cmd
/boot/efi/boot.scr

%changelog
* Wed Mar 13 2024 Yoda - 2021.07-2
- No change, just a package refresh to make COPR happy

* Sat Apr 24 2021 Yoda - 2021.07-2
- Fix goofup in prev package

* Thu Apr 21 2021 Yoda - 2021.07-1
- Fix wrong display type
- changes to boot.* to not use subvol

* Sat Aug 20 2021 Yoda - 2021.02-1
- Latest update of Crust

* Sat Jan 23 2021 Yoda - Initial version 2021.01-rc4
- Initial packaging for PineTab

